/*
Definovan prusecik pruniku dvou kruznic - souradnicemi a aktuálními kružnicemi 
 */
package octantKlient;

/**
 *
 * @author FilipDvorak
 */
public class Prusecik {
    private Souradnice souradnice;
    private Kruznice puvodnikruzniceA;
    private Kruznice puvodnikruzniceB;
    private Double obsahOblasti;

    public Prusecik(Souradnice souradnice, Double obsahOblasti) {
        this.souradnice = souradnice;
        this.obsahOblasti = obsahOblasti;
    }

    public Double getObsahOblasti() {
        return obsahOblasti;
    }

    public void setObsahOblasti(Double obsahOblasti) {
        this.obsahOblasti = obsahOblasti;
    }
    
    public Souradnice getSouradnice() {
        return souradnice;
    }

    public void setSouradnice(Souradnice souradnice) {
        this.souradnice = souradnice;
    }

    public Kruznice getPuvodnikruzniceA() {
        return puvodnikruzniceA;
    }

    public Kruznice getPuvodnikruzniceB() {
        return puvodnikruzniceB;
    }

    public void setPuvodnikruzniceA(Kruznice puvodnikruzniceA) {
        this.puvodnikruzniceA = puvodnikruzniceA;
    }

    public void setPuvodnikruzniceB(Kruznice puvodnikruzniceB) {
        this.puvodnikruzniceB = puvodnikruzniceB;
    }

    public Prusecik(Souradnice souradnice, Kruznice puvodnikruzniceA, Kruznice puvodnikruzniceB) {
        this.souradnice = souradnice;
        this.puvodnikruzniceA = puvodnikruzniceA;
        this.puvodnikruzniceB = puvodnikruzniceB;
    }
    
    public Prusecik(Souradnice souradnice) {
        this.souradnice = souradnice;
    }
    
    
    
    
}
